import React,{Component} from 'react'

import { Form, Input, DatePicker,Row, Col,Button,Icon ,Select} from 'antd';

import TextArea from './ZTextArea'


const FormItem = Form.Item;

export default class T77U extends Component
{

    name='77U'
    desp = "Undertaking Terms and Conditions"
    
    pattern = "500*65z"
    tno = -1

    onChange=(val)=>{
        this.props.onValue([{s1:val},val])
    }

    render()
    {
        let value =this.props.value

        let mval = value && value.length? value[1] : ''
        let errmsg = value && value.length==3?value[2]:{}

        value = value && value.length? value[0] : {}

        let rows = 150
        if(this.props.mty=='mt760'){
            rows = 1200
        }
        else if(this.props.mty=='mt767'){
            rows = 1200
        }
        return (<Row>
            <Col span={24}>
            <FormItem
                  help={errmsg.s1}
                 validateStatus={errmsg.s1?'error':null}
                >
                        
                        <TextArea type= "textarea" maxLength={65*rows} cols={65} rows={rows>150?15:10} style={{imeMode:'disabled'}} placeholder="Narrative" value={value.s1} onChange={(e)=>this.onChange(e.target.value)}/>
                </FormItem>
            
            </Col>
        </Row>)
    }
}